<?xml version="1.0" encoding="utf-8"?>
<!-- XBRL Document Created with WizLabo Platform -->
<link:linkbase xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:link="http://www.xbrl.org/2003/linkbase">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label" xlink:role="http://www.xbrl.org/2003/role/label">有形固定資産売却に係る前受金の受領額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">有形固定資産売却に係る前受金の受領額、投資活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">素形材</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">素形材、報告セグメント[メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">企業情報</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">企業情報 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label" xlink:role="http://www.xbrl.org/2003/role/label">役員報酬・従業員給与</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">役員報酬・従業員給与、販売費及び一般管理費</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label" xlink:role="http://www.xbrl.org/2003/role/label">菱川　明</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">菱川　明 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失引当金の増減額（△は減少）</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失引当金の増減額（△は減少）、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnFireEL_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnFireEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失、特別損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">子会社株式評価損</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">子会社株式評価損 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label" xlink:role="http://www.xbrl.org/2003/role/label">子会社出資金評価損</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">子会社出資金評価損、特別損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">子会社出資金評価損</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">子会社出資金評価損 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">機器装置</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">機器装置、報告セグメント[メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MatudaYukaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">松田　結花</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_MatudaYukaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">松田　結花 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">永井　岳司</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">永井　岳司 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">永田　裕之</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">永田　裕之 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label" xlink:role="http://www.xbrl.org/2003/role/label">中川　徹也</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">中川　徹也 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">財務制限条項に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">財務制限条項に関する注記[テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">受取保険金の注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">受取保険金の注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">災害による損失に関する注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">災害による損失に関する注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">事業整理損失引当金繰入額の注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">事業整理損失引当金繰入額の注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失引当金繰入額の注記</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失引当金繰入額の注記 [テキストブロック]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失の支払額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失の支払額、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">受取保険金の受取額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">受取保険金の受取額、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">雇用調整助成金の受取額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">雇用調整助成金の受取額、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社事業損失引当金繰入額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社事業損失引当金繰入額、営業外費用</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失引当金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失引当金、流動負債</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label" xlink:role="http://www.xbrl.org/2003/role/label">火災関連損失引当金繰入額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">火災関連損失引当金繰入額、特別損失</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社貸倒引当金繰入額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社貸倒引当金繰入額、営業外費用</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label" xlink:role="http://www.xbrl.org/2003/role/label">関係会社事業損失引当金戻入額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関係会社事業損失引当金戻入額、営業外収益</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label" xlink:role="http://www.xbrl.org/2003/role/label">坂本　泰邦</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">坂本　泰邦 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">佐藤　基行</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">佐藤　基行 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label" xlink:role="http://www.xbrl.org/2003/role/label">関根　博士</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">関根　博士 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">特殊鋼鋼材</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">特殊鋼鋼材、報告セグメント [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label" xlink:role="http://www.xbrl.org/2003/role/label">ばね</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">ばね、報告セグメント[メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label" xlink:role="http://www.xbrl.org/2003/role/label">雇用調整助成金</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">雇用調整助成金、営業活動によるキャッシュ・フロー</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label" xlink:role="http://www.xbrl.org/2003/role/label">竹内　美奈子</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">竹内　美奈子 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label" xlink:role="http://www.xbrl.org/2003/role/label">山口　淳</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label_1" xlink:role="http://www.xbrl.org/2003/role/verboseLabel">山口　淳 [メンバー]</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">会計方針の変更による累積的影響額</link:label>
    <link:label xml:lang="ja" xlink:type="resource" xlink:label="jppfs_cor_RestatedBalance_label" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel">会計方針の変更を反映した当期首残高</link:label>
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2021-11-01/jppfs_cor_2021-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="jppfs_cor_RestatedBalance" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" xlink:label="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" xlink:label="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" xlink:label="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_HishikawaAkiraMember" xlink:label="jpcrp030000-asr_E01233-000_HishikawaAkiraMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" xlink:label="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnFireEL" xlink:label="jpcrp030000-asr_E01233-000_LossOnFireEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" xlink:label="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" xlink:label="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_MatudaYukaMember" xlink:label="jpcrp030000-asr_E01233-000_MatudaYukaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NagaiTakashiMember" xlink:label="jpcrp030000-asr_E01233-000_NagaiTakashiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NagataHiroyukiMember" xlink:label="jpcrp030000-asr_E01233-000_NagataHiroyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" xlink:label="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" xlink:label="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" xlink:label="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" xlink:label="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" xlink:label="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" xlink:label="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" xlink:label="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" xlink:label="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" xlink:label="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SatohMotoyukiMember" xlink:label="jpcrp030000-asr_E01233-000_SatohMotoyukiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SekineHiroshiMember" xlink:label="jpcrp030000-asr_E01233-000_SekineHiroshiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" xlink:label="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" xlink:label="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" xlink:label="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E01233-000_2022-03-31_05_2024-11-08.xsd#jpcrp030000-asr_E01233-000_YamaguchiJunMember" xlink:label="jpcrp030000-asr_E01233-000_YamaguchiJunMember" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" xlink:to="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF" xlink:to="jpcrp030000-asr_E01233-000_AdvancesReceivedForSalesOfPropertyPlantAndEquipmentInvCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_CastingsAndForgingsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_CompanyInformationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" xlink:to="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA" xlink:to="jpcrp030000-asr_E01233-000_DirectorsCompensationAndEmployeePayrollsSGA_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_HishikawaAkiraMember" xlink:to="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_HishikawaAkiraMember" xlink:to="jpcrp030000-asr_E01233-000_HishikawaAkiraMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_IncreaseDecreaseInProvisionForLossRelatedToFireOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnFireEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnFireEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSharesOfSubsidiariesTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock" xlink:to="jpcrp030000-asr_E01233-000_LossOnValuationOfSubsidiariesInCapitalTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_LossRelatedToFireOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_MachineryReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MatudaYukaMember" xlink:to="jpcrp030000-asr_E01233-000_MatudaYukaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_MatudaYukaMember" xlink:to="jpcrp030000-asr_E01233-000_MatudaYukaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagaiTakashiMember" xlink:to="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagaiTakashiMember" xlink:to="jpcrp030000-asr_E01233-000_NagaiTakashiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagataHiroyukiMember" xlink:to="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NagataHiroyukiMember" xlink:to="jpcrp030000-asr_E01233-000_NagataHiroyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" xlink:to="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember" xlink:to="jpcrp030000-asr_E01233-000_NakagawaTetsuyaMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingFinancialCovenantTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingInsuranceIncomeTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingLossOnDisasterTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnBusinessLiquidationTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock" xlink:to="jpcrp030000-asr_E01233-000_NotesRegardingProvisionForLossOnFireTextBlock_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF" xlink:to="jpcrp030000-asr_E01233-000_PaymentsLossRelatedToFireOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedFromInsuranceIncomeOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_ProceedsFromSubsidiesForEmploymentAdjustmentOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireCL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL" xlink:to="jpcrp030000-asr_E01233-000_ProvisionForLossOnFireEL_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE" xlink:to="jpcrp030000-asr_E01233-000_ProvisionOfAllowanceForDoubtfulAccountsForSubsidiariesAndAffiliatesNOE_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" xlink:to="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI" xlink:to="jpcrp030000-asr_E01233-000_ReversalOfProvisionForLossOnBusinessOfSubsidiariesAndAssociatesNOI_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" xlink:to="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember" xlink:to="jpcrp030000-asr_E01233-000_SakamotoHirokuniMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SatohMotoyukiMember" xlink:to="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SatohMotoyukiMember" xlink:to="jpcrp030000-asr_E01233-000_SatohMotoyukiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SekineHiroshiMember" xlink:to="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SekineHiroshiMember" xlink:to="jpcrp030000-asr_E01233-000_SekineHiroshiMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpecialSteelBarsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember" xlink:to="jpcrp030000-asr_E01233-000_SpringsReportableSegmentsMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF" xlink:to="jpcrp030000-asr_E01233-000_SubsidiesForEmploymentAdjustmentOpeCF_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" xlink:to="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember" xlink:to="jpcrp030000-asr_E01233-000_TakeuchiMinakoMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_YamaguchiJunMember" xlink:to="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jpcrp030000-asr_E01233-000_YamaguchiJunMember" xlink:to="jpcrp030000-asr_E01233-000_YamaguchiJunMember_label_1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
    <link:labelArc xlink:type="arc" xlink:from="jppfs_cor_RestatedBalance" xlink:to="jppfs_cor_RestatedBalance_label" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" order="1" />
  </link:labelLink>
</link:linkbase>